#!/usr/local/bin/perl5 -w

BEGIN {
    die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
    unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
}

use unicode;

if ($ENV{'GSDLOS'} =~ /windows/i) {
    binmode (STDOUT); # silly windows
}

# output in little endian
print "\xff\xfe";

$line = "";
$ucline = [];
while (defined ($line = <STDIN>)) {
    $ucline = &unicode::utf82unicode ($line);
    foreach $c (@$ucline) {
	$c1 = chr (int ($c / 256));
	$c2 = chr (int ($c % 256));
	print "$c2$c1";
    }
}
