package document

#######################################################################
# macros set from within the server
#######################################################################

_classificationlinks_ {}
_imagethispage_ {}
_httpprevarrow_ {}
_httpnextarrow_ {}
_pagetitle_ {}

#######################################################################
# page content
#######################################################################

_pagetitle_ {_collectionname_}

_content_ {
<center>
_navigationbar_
<p>
_classificationlinks_
</center>
}


#######################################################################
# javascript macros
#
# there should be one of these for each flashy javascript button
# that may appear within a document page
#######################################################################

# javaextras allows specific collections to include extra java macros
# without having to override their document action
_javaextras_ {}

_javadetach_ {
	detach\_on = new Image(_widthedtchx_, _heightedtchx_); 
	detach\_on.src = "_httpiconedtchon_";
	detach\_off = new Image(_widthedtchx_, _heightedtchx_); 
	detach\_off.src = "_httpiconedtchof_";
}

_javaexpandcontents_ {
	expcon\_on = new Image(_widtheexpcx_, _heighteexpcx_);
	expcon\_on.src = "_httpiconeexpcon_";
	expcon\_off = new Image(_widtheexpcx_, _heighteexpcx_);
	expcon\_off.src = "_httpiconeexpcof_";
}

_javacontractcontents_ {
	concon\_on = new Image(_widtheconcx_, _heighteconcx_);
	concon\_on.src = "_httpiconeconcon_";
	concon\_off = new Image(_widtheconcx_, _heighteconcx_);
	concon\_off.src = "_httpiconeconcof_";
}

_javaexpandtext_ {
	alltext\_on = new Image(_widthealltx_, _heightealltx_);
	alltext\_on.src = "_httpiconeallton_";
	alltext\_off = new Image(_widthealltx_, _heightealltx_);
	alltext\_off.src = "_httpiconealltof_";
}

_javacontracttext_ {
	thissec\_on = new Image(_widthetsecx_, _heightetsecx_);
	thissec\_on.src = "_httpiconetsecon_";
	thissec\_off = new Image(_widthetsecx_, _heightetsecx_);
	thissec\_off.src = "_httpiconetsecof_";
}

_javahighlighting_ {
	hl\_on = new Image(_widthehlx_, _heightehlx_);
	hl\_on.src = "_httpiconehlon_";
	hl\_off = new Image(_widthehlx_, _heightehlx_);
	hl\_off.src = "_httpiconehlof_";
}

_javanohighlighting_ {
	nhl\_on = new Image(_widthenhlx_, _heightenhlx_);
	nhl\_on.src = "_httpiconenhlon_";
	nhl\_off = new Image(_widthenhlx_, _heightenhlx_);
	nhl\_off.src = "_httpiconenhlof_";
}

_javacontinue_ {
	cont\_on = new Image(_widthcontx_, _heightcontx_);
	cont\_on.src = "_httpiconconton_";
	cont\_off = new Image(_widthcontx_, _heightcontx_);
	cont\_off.src = "_httpiconcontoff_";
}

#######################################################################
# navigation arrows
#
#######################################################################

_navarrows_ {<center>
<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
<tr><td align=left valign=top>
_prevarrow_
</td><td align=right valign=top>
_nextarrow_
</td></tr></table>
</center>
}

_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}

_navarrows_ [version=text] {<p>
_prevarrow_<br>
_nextarrow_
}

#######################################################################
# the goto form
#######################################################################

_gotoform_ {
<form name="GotoForm" method="get" action="_gwcgi_">
<input type=hidden name="e" value="_compressedoptions_">
<input type=hidden name="d" value="_cgiargd_">
<input type=hidden name="cl" value="_cgiargcl_">
<input type="submit" value="go to page">
<input type="text" name="gp" size="3" maxlength="4">
</form>
}

#######################################################################
# icons
#######################################################################

# title images - there should be one of these for each classification
# supported by this receptionist

_iconTitlepage_ {<img src="_httpiconhtitle_" width=_widthhtitle_
height=_heighthtitle_}
_iconTitlepage_ [version=text] {<h2>_texticonhtitle_</h2>}

_iconListpage_ {<img src="_httpiconhlist_" width=_widthhlist_
height=_heighthlist_}
_iconListpage_ [version=text] {<h2>_texticonhlist_</h2>}

_iconCreatorpage_ {<img src="_httpiconhauth_" width=_widthhauth_
height=_heighthauth_}
_iconCreatorpage_ [version=text] {<h2>_texticonhauth_</h2>}

_iconSubjectpage_ {<img src="_httpiconhsubj_" width=_widthhsubj_
height=_heighthsubj_}
_iconSubjectpage_ [version=text] {<h2>_texticonhsubj_</h2>}

_iconSeriespage_ {<img src="_httpiconhser_" width=_widthhser_
height=_heighthser_}
_iconSeriespage_ [version=text] {<h2>_texticonhser_</h2>}

_iconDatepage_ {<img src="_httpiconhdate_" width=_widthhdate_
height=_heighthdate_}
_iconDatepage_ [version=text] {<h2>_texticonhdate_</h2>}

_iconHowtopage_ {<img src="_httpiconhhow_" width=_widthhhow_
height=_heighthhow_}
_iconHowtopage_ [version=text] {<h2>_texticonhhow_</h2>}

_iconTopicpage_ {<img src="_httpiconhtopic_" width=_widthhtopic_
height=_heighthtopic_}
_iconTopicpage_ [version=text] {<h2>_texticonhtopic_</h2>}

_iconOrganizationpage_ {<img src="_httpiconhorg_" width=_widthhorg_
height=_heighthorg_}
_iconOrganizationpage_ [version=text] {<h2>_texticonhorg_</h2>}

_iconBrowsepage_ {<img src="_httpiconhbrwse_" width=_widthhbrwse_
height=_heighthbrwse_}
_iconBrowsepage_ [version=text] {<h2>_texticonhbrwse_</h2>}



_iconsmalltext_ {<img src="_httpiconsmtext_" border=0 width=_widthsmtext_ height=_heightsmtext_ alt="_texticonsmalltext_">}
_iconsmalltext_ [version=text] {<small><b>_texticonsmalltext2_</b></small>}

_iconarrowsmalltext_ {<img src="_httpiconasmtext_" border=0 width=_widthasmtext_ height=_heightasmtext_ alt="_texticonsmalltext_">}
_iconarrowsmalltext_ [version=text] {<small><b>->_texticonsmalltext2_</b></small>}

_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border=0 width=_widthclsdfldr_ height=_heightclsdfldr_ alt="_texticonclosedfolder_">}
_iconclosedfolder_ [version=text] {<small><b>_texticonclosedfolder2_</b></small>}

_iconarrowclosedfolder_ {<img src=_httpiconaclsdfdr_" border=0 width=_widthaclsdfdr_ height=_heightaclsdfdr_ alt="_texticonclosedfolder_">}
_iconarrowclosedfolder_ [version=text] {<small><b>->_texticonclosedfolder2_</b></small>}

_iconopenfolder_ {<img src="_httpiconopenfldr_" border=0 width=_widthopenfldr_ height=_heightopenfldr_ alt="_texticonopenfolder_">}
_iconopenfolder_ [version=text] {<small><b>_texticonopenfolder2_</b></small>}

_iconarrowopenfolder_ {<img src="_httpiconaopenfdr_" border=0 width=_widthaopenfdr_ height=_heightaopenfdr_ alt="_texticonopenfolder_">}
_iconarrowopenfolder_ [version=text] {<small><b>->_texticonopenfolder2_</b></small>}

_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_">}
_iconclosedbook_ [version=text] {<small><b>_texticonclosedbook_: </b></small>}

_iconarrowclosedbook_ {<img src="_httpiconabook_" width=_widthabook_ height=_heightabook_ border=0 alt="_texticonclosedbook_">}
_iconarrowclosedbook_ [version=text] {<small><b>->_texticonclosedbook_: </b></small>}

_iconopenbook_ {<img src="_httpiconopenbook_" width=_widthopenbook_ height=_heightopenbook_ border=0 alt="_texticonopenbook_">}
_iconopenbook_ [version=text] {<small><b>_texticonopenbook_: </b></small>}

_iconarrowopenbook_ {<img src="_httpiconaopenbk_" width=_widthaopenbk_ height=_heightaopenbk_ border=0 alt="_texticonopenbook_">}
_iconarrowopenbook_ [version=text] {<small><b>->_texticonopenbook_: </b></small>}

_iconopenbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonopenbookshelf_">}
_iconopenbookshelf_ [version=text] {<small><b>_texticonopenbookshelf_: </b></small>}

_iconarrowopenbookshelf_ {<img src="_httpiconabshelf_" border=0 width=_widthabshelf_ height=_heightabshelf_ alt="_texticonopenbookshelf_">}
_iconarrowopenbookshelf_ [version=text] {<small><b>->_texticonopenbookshelf_: </b></small>}

_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonclosedbookshelf_">}
_iconclosedbookshelf_ [version=text] {<small><b>_texticonclosedbookshelf_: </b></small>}

_iconarrowclosedbookshelf_ {<img src="_httpiconabshelf_" border=0 width=_widthabshelf_ height=_heightabshelf_ alt="_texticonclosedbookshelf_">}
_iconarrowclosedbookshelf_ [version=text] {<small><b>->_texticonclosedbookshelf_: </b></small>}

_iconpointer_ {<img src="_httpiconarrrght_" border=0 width=_widtharrrght_ height=_heightarrrght_>}
_iconpointer_ [version=text] {<small><b>_texticonpointer_-> </b></small>}

_icontab_ {<img src="_httpicontabspace_" width=_widthtabspace_ height=_heighttabspace_>}
_tab_ {<td>_icontab_</td>}

_iconcontracttoc_ {<img name="concon" src="_httpiconeconcof_" width=_widtheconcx_ height=_heighteconcof_ alt="_texticoncontracttoc_" border=0>}
_iconcontracttoc_[version=text] {_texticoncontracttoc_}

_iconexpandtoc_ {<img name="expcon" src="_httpiconeexpcof_" width=_widtheexpx_ height=_heighteexpcx_ alt="_texticonexpandtoc_" border=0>}
_iconexpandtoc_[version=text] {_texticonexpandtoc_}

_iconcontracttext_ {<img name="thissec" src="_httpiconetsecof_" width=_widthetsecx_ height=_heightetsecx_ alt="_texticoncontracttext_" border=0>}
_iconcontracttext_[version=text] {_texticoncontracttext_}

_iconexpandtext_ {<img name="alltext" src="_httpiconealltof_" width=_widthealltx_ height=_heightealltx_ alt="_texticonexpandtext_" border=0>}
_iconexpandtext_[version=text] {_texticonexpandtext_}

_icondetach_ {<img name="detach" src="_httpiconedtchof_" width=_widthedtchx_ height=_heightedtchx_ alt="_texticondetach_" border=0>}
_icondetach_[version=text] {_texticondetach_}

_iconhighlight_ {<img name="hl" src="_httpiconehlof_" width=_widthehlx_ height=_heightehlx_ alt="_texticonhighlight_" border=0>}
_iconhighlight_ [version=text] {_texticonhighlight_}

_iconnohighlight_ {<img name="nhl" src="_httpiconenhlof_" width=_widthenhlx_ height=_heightenhlx_ alt="_texticonnohighlight_" border=0>}
_iconnohighlight_ [version=text] {_texticonnohighlight_}

_iconwarning_ {<img src="_httpiconwarning_" width=_widthwarning_ height=_heightwarning_ border=0 align=left>}
_iconwarning_ [version=text] {_texticonwarning_}

_iconcont_ {<img name="cont" src="_httpiconcontoff_" width=_widthcontx_ height=_heightcontx_ border=0>}
_iconcont_ [version=text] {_texticoncont_}


#######################################################################
# images
#######################################################################

_imagedetach_ {<a href="_httpcurrentdocument_&x=1" target=\_blank onMouseover = "img\_on('detach')"
onMouseout = "img\_off('detach')">_icondetach_</a>}
_imagedetach_[version=text] {<a href="_httpcurrentdocument_&x=1" target=\_blank>_texticondetach_</a><br>}

_imagehighlight_ {<a href="_httpcurrentdocument_&hl=1" onMouseover = "img\_on('hl')"
onMouseout = "img\_off('hl')">_iconhighlight_</a>}
_imagehighlight_ [version=text] {<a href="_httpcurrentdocument_&hl=1">_texticonhighlight_</a><br>}

_imagenohighlight_ {<a href="_httpcurrentdocument_&hl=0" onMouseover = "img\_on('nhl')"
onMouseout = "img\_off('nhl')">_iconnohighlight_</a>}
_imagenohighlight_ [version=text] {<a href="_httpcurrentdocument_&hl=0">_texticonnohighlight_</a><br>}

_imagecontracttoc_ {<a href="_httpcurrentdocument_&gc=0" onMouseover = "img\_on('concon')"
onMouseout = "img\_off('concon')">_iconcontracttoc_</a>}
_imagecontracttoc_[version=text] {"<a href="_httpcurrentdocument_&gc=0">_texticoncontracttoc_</a><br>}
_imagecontracttoc_[style=htmlonly] {}

_imageexpandtoc_ {<a href="_httpcurrentdocument_&gc=1" onMouseover = "img\_on('expcon')"
onMouseout = "img\_off('expcon')">_iconexpandtoc_</a>}
_imageexpandtoc_ [version=text] {"<a href="_httpcurrentdocument_&gc=1">_texticonexpandtoc_</a><br>}
_imageexpandtoc_ [style=htmlonly] {}

_imagecontracttext_ {<a href="_httpcurrentdocument_&amp;gt=0" onMouseover = "img\_on('thissec')"
onMouseout = "img\_off('thissec')">_iconcontracttext_</a>}
_imagecontracttext_[version=text] {<a href="_httpcurrentdocument_&amp;gt=0">display only current section</a><br>}
_imagecontracttext_[style=htmlonly] {}

_imageexpandtext_ {<a href="_httpcurrentdocument_&amp;gt=1" onMouseover = "img\_on('alltext')"
onMouseout = "img\_off('alltext')">_iconexpandtext_</a>}
_imageexpandtext_[version=text] {<a href="_httpcurrentdocument_&amp;gt=1">display all text</a><br>}
_imageexpandtext_[style=htmlonly] {}

_imagecont_ {<a href="_httpcurrentdocument_&amp;gt=2" onMouseover = "img\_on('cont')"
onMouseout = "img\_off('cont')">_iconcont_</a>}
_imagecont_[version=text] {<a href="_httpcurrentdocument&amp;gt=2">_texticoncont_</a><br>}


#######################################################################
# https
#
# These contain the url without any quotes
#######################################################################

_httpiconhtitle_ {_httpimg_/h\_title.gif}
_widthhtitle_ {200}
_heighthtitle_ {57}

_httpiconhlist_ {_httpimg_/h\_list.gif}
_widthhlist_ {200}
_heighthlist_ {57}

_httpiconhauth_ {_httpimg_/h\_auth.gif}
_widthhauth_ {200}
_heighthauth_ {57}

_httpiconhsubj_ {_httpimg_/h\_subj.gif}
_widthhsubj_ {200}
_heighthsubj_ {57}

_httpiconhser_ {_httpimg_/h\_ser.gif}
_httpiconhser_ [language=mi] {_httpimg_/mh\_ser.gif}
_widthhser_ {200}
_widthhser_ [language=mi] {310}
_heighthser_ {57}

_httpiconhdate_ {_httpimg_/h\_date.gif}
_httpiconhdate_ [language=mi] {_httpimg_/mh\_date.gif}
_widthhdate_ {200}
_heighthdate_ {57}

_httpiconhhow_ {_httpimg_/h\_how.gif}
_widthhhow_ {200}
_heighthhow_ {57}

_httpiconhtopic_ {_httpimg_/h\_topic.gif}
_widthhhow_ {200}
_heighthhow_ {57}

_httpiconhorg_ {_httpimg_/h\_org.gif}
_widthhorg_ {250}
_heighthorg_ {57}

_httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
_widthhbrwse_ {200}
_heighthbrwse_ {57}

_httpiconcontoff_ {_httpimg_/contoff.gif}
_httpiconconton_ {_httpimg_/conton.gif}
_widthcontx_ {76}
_heightcontx_ {17}

_httpiconealltof_ {_httpimg_/ealltof.gif}
_httpiconealltof_ [language=mi] {_httpimg_/mealltof.gif}
_httpiconeallton_ {_httpimg_/eallton.gif}
_httpiconeallton_ [language=mi] {_httpimg_/meallton.gif}
_widthealltx_ {46}
_widthealltx_ [language=mi] {42}
_heightealltx_ {30}

_httpiconeconcof_ {_httpimg_/econcof.gif}
_httpiconeconcon_ {_httpimg_/econcon.gif}
_widtheconcx_ {63}
_heighteconcx_ {30}

_httpiconedtchof_ {_httpimg_/edtchof.gif}
_httpiconedtchof_ [language=mi] {_httpimg_/medtchof.gif}
_httpiconedtchon_ {_httpimg_/edtchon.gif}
_httpiconedtchon_ [language=mi] {_httpimg_/medtchon.gif}
_widthedtchx_ {47}
_widthedtchx_ [language=mi] {56}
_heightedtchx_ {30}

_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
_widtheexpcx_ {60}
_heighteexpcx_ {30}

_httpiconetsecof_ {_httpimg_/etsecof.gif}
_httpiconetsecof_ [language=mi] {_httpimg_/metsecof.gif}
_httpiconetsecon_ {_httpimg_/etsecon.gif}
_httpiconetsecon_ [language=mi] {_httpimg_/metsecon.gif}
_widthetsecx_ {63}
_widthetsecx_ [language=mi] {53}
_heightetsecx_ {30}

_httpiconehlof_ {_httpimg_/ehlof.gif}
_httpiconehlon_ {_httpimg_/ehlon.gif}
_widthehlx_ {53}
_heightehlx_ {30}

_httpiconenhlof_ {_httpimg_/enhlof.gif}
_httpiconenhlon_ {_httpimg_/enhlon.gif}
_widthenhlx_ {57}
_heightenhlx_ {30}


#######################################################################
# headers/footers
#######################################################################


# header overridden for text pages
_textheader_ {_cgihead_
_htmlhead_
}

_footer_ {
<p>
_navarrows_
</table>
_endspacer__htmlfooter_
}

_footer_[style=restrict] {
<p>
_navarrows_
_htmlfooter_
}

_footer_[style=htmlonly] {
<p>
_navarrows_
_endspacer__htmlfooter_
}


#######################################################################
# English language text macros
#######################################################################

_textTitlepage_ {_texticonhtitle_}
_textCreatorpage_ {_texticonhauth_}
_textSubjectpage_ {_texticonhsubj_}
_textSeriespage_ {_texticonhser_}
_textDatepage_ {_texticonhdate_}
_textHowtopage_ {_texticonhhow_}
_textOrganizationpage_ {_texticonhorg_}
_textBrowsepage_ {_texticonhbrwse_}

_texticonhtitle_ {Titles A-Z}
_texticonhauth_ {Authors A-Z}
_texticonhsubj_ {Subjects}
_texticonhser_ {Series}
_texticonhdate_ {Dates}
_texticonhhow_ {How to}
_texticonhorg_ {Organizations}
_texticonhbrwse_ {Browse}

_texticonopenbookshelf_ {close this section of the library}
_texticonclosedbookshelf_ {open this section of the library and view contents}
_texticonclosedbook_ {open this book and view contents}
_texticonopenbook_ {close this book}
_texticonclosedfolder_ {Open this folder and view contents}
_texticonclosedfolder2_ {open sub-section: }
_texticonopenfolder_ {close this folder}
_texticonopenfolder2_ {close sub-section: }
_texticonsmalltext_ {View this section of the text}
_texticonsmalltext2_ {view text: }
_texticonpointer_ {current section}
_texticondetach_ {Open this page in a new window}
_texticonhighlight_ {Highlight search terms}
_texticonnohighlight_ {Don't highlight search terms}
_texticoncontracttoc_ {Collapse table of contents}
_texticonexpandtoc_ {Expand table of contents}
_texticonexpandtext_ {Display all text}
_texticoncontracttext_ {Display text only for currently selected section}
_texticonwarning_ {<b>Warning: </b>}
_texticoncont_ {continue?}

_textltwarning_ {
<p><center>
<table cellspacing=0 cellpadding=0 width=_pagewidth_>
<tr valign=top><td>_iconwarning_Expanding the text here will generate a large 
amount of data for your browser to display _imagecont_
</td></tr></table></center>
}


#######################################################################
# Maori text macros
#######################################################################

_texticondetach_ [language=mi] {Huakina mai he matapihi hou m&ouml; t&euml;nei k&ouml;rero}
_texticonexpandtext_ [language=mi] {Titiro ki ng&auml; kupu katoa o t&euml;nei niupepa}
_texticoncontracttext_ [language=mi] {Titiro ki ng&auml; kupu o t&euml;nei wh&auml;rangi anake}
_texticonopenbookshelf_ [language=mi] {k&auml;tia}
_texticonclosedbookshelf_ [language=mi] {whakat&uuml;whera mai}
_texticonclosedbook_ [language=mi] {whakat&uuml;whera mai}
_texticonopenbook_ [language=mi] {k&auml;tia}
_texticonpointer_ [language=mi] {w&auml;hanga e tiro ana}
